/*
this goes on your arduino
for use with Processing example SimpleSerialArduinoscope

*/

// Pin
int analogPin0 = 0;
int analogPin1 = 1;

void setup() {
  //AD
  analogReference(DEFAULT);
  //AD HiSpeed
  ADCSRA = ((1<<ADEN) | 4);  //16M/16=1Mhz(max) 13us
  //Serial
  //Serial.begin(115200);  
  Serial.begin(230400);     //ここまでOK(FTDI) 
  //Serial.begin(460800);  
  //Serial.begin(921600);  
}

void loop() {
int val;
byte bt;
    //Send Sync
    Serial.write(0xFF);
    //Send Ch1
    val = analogRead(analogPin0);
    bt  = (byte)(val >> 2);
    if (bt == 0xFF) bt = 0xFE;
    Serial.write(bt);
    //Send Ch2
    val = analogRead(analogPin1);
    bt  = (byte)(val >> 2);
    if (bt == 0xFF) bt = 0xFE;
    Serial.write(bt);
    //Frame gap
    Serial.flush();
    //delayMicroseconds(100);
}

